%global make_common_opts \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	DATA_DIR=%{_datadir} \\\
	PKG_DATA_DIR=%{_datadir}/%{name} \\\
	%{nil}
Name:		ovirt-engine-extension-aaa-jdbc
Version:	1.0.7
Release:	2%{?release_suffix}%{?dist}
License:	ASL 2.0
Summary:	oVirt Engine Local Users Extension
Group:		Virtualization/Management
URL:		http://www.ovirt.org
BuildArch:	noarch
Source:		http://resources.ovirt.org/pub/src/%{name}/%{name}-1.0.7.tar.gz

BuildRequires: java7-devel
BuildRequires: slf4j-eap6 >= 1.7
BuildRequires: apache-commons-codec-eap6
BuildRequires: apache-commons-lang-eap6
BuildRequires: ant
BuildRequires: codehaus-jackson-core-asl
BuildRequires: codehaus-jackson-mapper-asl
BuildRequires: jpackage-utils
BuildRequires: ovirt-engine-extensions-api
BuildRequires: postgresql-jdbc

Requires: rhevm-extensions-api-impl >= 3.5

%description
Local JDBC user management for oVirt engine.

%prep
%setup -c -q

%build
cat > build.properties << __EOF__
jar.commons-codec=$(build-classpath commons-codec-eap6/commons-codec)
jar.commons-lang=$(build-classpath commons-lang-eap6/commons-lang)
jar.jackson-core-asl=$(build-classpath codehaus-jackson/jackson-core-asl)
jar.jackson-mapper-asl=$(build-classpath codehaus-jackson/jackson-mapper-asl)
jar.ovirt-engine-extensions-api=$(build-classpath ovirt-engine/ovirt-engine-extensions-api)
jar.jdbc=$(build-classpath postgresql-jdbc)
jar.slf4j-api=$(build-classpath slf4j-eap6/slf4j-api)
package.display.name=%{name}-%{version}-%{release}

__EOF__

make %{make_common_opts} all

%install
rm -fr "%{buildroot}"
make %{make_common_opts} install-no-build DESTDIR="%{buildroot}"

%files
%doc README.admin
%doc README.developer
%{_datadir}/%{name}/
%{_sysconfdir}/ovirt-engine/engine.conf.d/50-%{name}.conf
%{_bindir}/ovirt-aaa-jdbc-tool

%changelog
* Tue May 03 2016 Martin Perina <mperina@redhat.com> 1.0.7-2
- Drop support for distributions other than RHEL6
- Fixes apache-commons build dependencies to use packages provided by EAP6

* Fri Apr 15 2016 Martin Perina <mperina@redhat.com> 1.0.7-1
- Sync with upstream (tag v1.0.7-1)

* Thu Jan 28 2016 Martin Perina <mperina@redhat.com> 1.0.6-1
- Sync with upstream (tag v1.0.6-1)

* Thu Jan 07 2016 Martin Perina <mperina@redhat.com> 1.0.5-1
- Sync with upstream (tag v1.0.5-1)

* Fri Nov 27 2015 Martin Perina <mperina@redhat.com> 1.0.4-1
- Sync with upstream (tag v1.0.4-1)

* Mon Nov 23 2015 Martin Perina <mperina@redhat.com> 1.0.3-1
- Sync with upstream (tag v1.0.3-1)

* Fri Nov 06 2015 Martin Perina <mperina@redhat.com> 1.0.2-1
- Sync with upstream (tag v1.0.2-1)

* Tue Oct 20 2015 Martin Perina <mperina@redhat.com> 1.0.1-1
- Sync with upstream (tag v1.0.1-1)

* Thu Oct 08 2015 Martin Perina <mperina@redhat.com> 1.0.0-2
- Fixes error in source file name in spec

* Thu Oct 08 2015 Martin Perina <mperina@redhat.com> 1.0.0-1
- Sync with upstream (tag v1.0.0-1)

* Wed Oct 07 2015 Martin Perina <mperina@redhat.com> 0.0.0-8
- Sync with upstream (tag v0.0.0-8)

* Mon Sep 21 2015 Martin Perina <mperina@redhat.com> 0.0.0-7
- Sync with upstream (tag v0.0.0-7)

* Tue Sep 01 2015 Martin Perina <mperina@redhat.com> 0.0.0-6
- Sync with upstream (commit 4d9c713a1ddb5c9a74afbda77d6da23a3d0bb6fd)

* Thu Aug 20 2015 Martin Perina <mperina@redhat.com> 0.0.0-5
- Sync with upstream (commit abe281a1b4175e95d1e7e0f5af2e6944a1ea78e9)

* Wed Aug 12 2015 Martin Perina <mperina@redhat.com> 0.0.0-4
- Fixed issue with EL6 database and custom schema

* Tue Aug 11 2015 Martin Perina <mperina@redhat.com> 0.0.0-3
- Sync with upstream

* Sat Jun 20 2015 Martin Perina <mperina@redhat.com> 0.0.0-2
- Fixed dependencies, rhbz#917035

* Tue Jun 16 2015 Martin Perina <mperina@redhat.com> 0.0.0-1
- Initial, rhbz#917035

